
electronique_chronometre_001_Init:

;electronique_chronometre_001.mpas,31 :: 		begin
;electronique_chronometre_001.mpas,33 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;electronique_chronometre_001.mpas,36 :: 		OPTION_REG.NOT_RBPU := 0; // enable pullup res
	BCF        OPTION_REG+0, 7
;electronique_chronometre_001.mpas,39 :: 		INTCON.GIE := 1;
	BSF        INTCON+0, 7
;electronique_chronometre_001.mpas,40 :: 		INTCON.PEIE := 1;
	BSF        INTCON+0, 6
;electronique_chronometre_001.mpas,41 :: 		INTCON.T0IE := 0;
	BCF        INTCON+0, 5
;electronique_chronometre_001.mpas,42 :: 		INTCON.INTE := 0;
	BCF        INTCON+0, 4
;electronique_chronometre_001.mpas,43 :: 		INTCON.RBIE := 0;
	BCF        INTCON+0, 3
;electronique_chronometre_001.mpas,46 :: 		PIE1.TMR1IE       := 1;   // enable timer1 int
	BSF        PIE1+0, 0
;electronique_chronometre_001.mpas,47 :: 		PIR1.TMR1IF := 0;
	BCF        PIR1+0, 0
;electronique_chronometre_001.mpas,48 :: 		T1CON.T1CKPS1     := 0;   // bit 5 | Prescaler Rate Select bits
	BCF        T1CON+0, 5
;electronique_chronometre_001.mpas,49 :: 		T1CON.T1CKPS0     := 0;   // bit 4 |
	BCF        T1CON+0, 4
;electronique_chronometre_001.mpas,50 :: 		T1CON.T1OSCEN     := 0;   // bit 3 - Timer1 Oscillator Enable Control: bit 1=on
	BCF        T1CON+0, 3
;electronique_chronometre_001.mpas,51 :: 		T1CON.NOT_T1SYNC  := 1;   // bit 2 - Timer1 External Clock Input Synchronization Control bit: 1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;electronique_chronometre_001.mpas,52 :: 		T1CON.TMR1CS      := 0;   // bit 1 - Timer1 Clock Source Select bit: 0=Internal clock (FOSC/4) / 1 = External clock from pin T13CKI (on the rising edge)
	BCF        T1CON+0, 1
;electronique_chronometre_001.mpas,53 :: 		T1CON.TMR1ON      := 1;   // bit 0 - enable timer1
	BSF        T1CON+0, 0
;electronique_chronometre_001.mpas,54 :: 		TMR1H := cTimer1PreloadH; // preload for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_chronometre_001.mpas,55 :: 		TMR1L := cTimer1PreloadL; // preload for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_chronometre_001.mpas,57 :: 		TRISA      := $00;  // RA0.. RA4 as output
	CLRF       TRISA+0
;electronique_chronometre_001.mpas,58 :: 		TRISB      := $F0;  // RB0..RB3 as output, RB4..RB7 as input
	MOVLW      240
	MOVWF      TRISB+0
;electronique_chronometre_001.mpas,59 :: 		PORTA      := $FF;  // clear porta
	MOVLW      255
	MOVWF      PORTA+0
;electronique_chronometre_001.mpas,60 :: 		PORTB      := $F0;  // $00
	MOVLW      240
	MOVWF      PORTB+0
;electronique_chronometre_001.mpas,61 :: 		iHour      := 0;
	CLRF       _iHour+0
;electronique_chronometre_001.mpas,62 :: 		iMinute    := 0;
	CLRF       _iMinute+0
;electronique_chronometre_001.mpas,63 :: 		iSecond    := 0;
	CLRF       _iSecond+0
;electronique_chronometre_001.mpas,64 :: 		iTB        := 0;
	CLRF       _iTB+0
;electronique_chronometre_001.mpas,65 :: 		Out_OVL    := 0;  // SetBit(PortA, 4);   // OVL led on
	BCF        PORTA+0, 4
;electronique_chronometre_001.mpas,66 :: 		bLightTest := false;
	CLRF       _bLightTest+0
;electronique_chronometre_001.mpas,67 :: 		for i := 0 to 3 do
	CLRF       _i+0
L_electronique_chronometre_001_Init2:
;electronique_chronometre_001.mpas,68 :: 		BtnState[i] := 0;
	MOVF       _i+0, 0
	ADDLW      _BtnState+0
	MOVWF      FSR
	CLRF       INDF+0
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chronometre_001_Init5
	INCF       _i+0, 1
	GOTO       L_electronique_chronometre_001_Init2
L_electronique_chronometre_001_Init5:
;electronique_chronometre_001.mpas,69 :: 		end;
	RETURN
; end of electronique_chronometre_001_Init

electronique_chronometre_001_Display_DoDelay:

;electronique_chronometre_001.mpas,72 :: 		begin
;electronique_chronometre_001.mpas,73 :: 		Delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_electronique_chronometre_001_Display_DoDelay7:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_chronometre_001_Display_DoDelay7
	DECFSZ     R12+0, 1
	GOTO       L_electronique_chronometre_001_Display_DoDelay7
;electronique_chronometre_001.mpas,74 :: 		end;
	RETURN
; end of electronique_chronometre_001_Display_DoDelay

electronique_chronometre_001_Display:

;electronique_chronometre_001.mpas,77 :: 		begin
;electronique_chronometre_001.mpas,78 :: 		if bLightTest then
	MOVF       _bLightTest+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chronometre_001_Display10
;electronique_chronometre_001.mpas,80 :: 		PORTB.0 := 0;
	BCF        PORTB+0, 0
;electronique_chronometre_001.mpas,81 :: 		PORTB.1 := 0;
	BCF        PORTB+0, 1
;electronique_chronometre_001.mpas,82 :: 		PORTB.2 := 0;
	BCF        PORTB+0, 2
;electronique_chronometre_001.mpas,83 :: 		PORTB.3 := 1;
	BSF        PORTB+0, 3
;electronique_chronometre_001.mpas,84 :: 		PORTA.7 := 0;
	BCF        PORTA+0, 7
;electronique_chronometre_001.mpas,85 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,86 :: 		PORTA.7 := 1;
	BSF        PORTA+0, 7
;electronique_chronometre_001.mpas,87 :: 		PORTA.6 := 0;
	BCF        PORTA+0, 6
;electronique_chronometre_001.mpas,88 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,89 :: 		PORTA.6 := 1;
	BSF        PORTA+0, 6
;electronique_chronometre_001.mpas,90 :: 		PORTA.3 := 0;
	BCF        PORTA+0, 3
;electronique_chronometre_001.mpas,91 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,92 :: 		PORTA.3 := 1;
	BSF        PORTA+0, 3
;electronique_chronometre_001.mpas,93 :: 		PORTA.2 := 0;
	BCF        PORTA+0, 2
;electronique_chronometre_001.mpas,94 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,95 :: 		PORTA.2 := 1;
	BSF        PORTA+0, 2
;electronique_chronometre_001.mpas,96 :: 		PORTA.1 := 0;
	BCF        PORTA+0, 1
;electronique_chronometre_001.mpas,97 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,98 :: 		PORTA.1 := 1;
	BSF        PORTA+0, 1
;electronique_chronometre_001.mpas,99 :: 		PORTA.0 := 0;
	BCF        PORTA+0, 0
;electronique_chronometre_001.mpas,100 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,101 :: 		PORTA.0 := 1;
	BSF        PORTA+0, 0
;electronique_chronometre_001.mpas,102 :: 		end
	GOTO       L_electronique_chronometre_001_Display11
;electronique_chronometre_001.mpas,103 :: 		else
L_electronique_chronometre_001_Display10:
;electronique_chronometre_001.mpas,105 :: 		PORTB.0 := ArrOut[0].0;
	BTFSC      _ArrOut+0, 0
	GOTO       L_electronique_chronometre_001_Display70
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display71
L_electronique_chronometre_001_Display70:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display71:
;electronique_chronometre_001.mpas,106 :: 		PORTB.1 := ArrOut[0].1;
	BTFSC      _ArrOut+0, 1
	GOTO       L_electronique_chronometre_001_Display72
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display73
L_electronique_chronometre_001_Display72:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display73:
;electronique_chronometre_001.mpas,107 :: 		PORTB.2 := ArrOut[0].2;
	BTFSC      _ArrOut+0, 2
	GOTO       L_electronique_chronometre_001_Display74
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display75
L_electronique_chronometre_001_Display74:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display75:
;electronique_chronometre_001.mpas,108 :: 		PORTB.3 := ArrOut[0].3;
	BTFSC      _ArrOut+0, 3
	GOTO       L_electronique_chronometre_001_Display76
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display77
L_electronique_chronometre_001_Display76:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display77:
;electronique_chronometre_001.mpas,109 :: 		PORTA.0 := 0;
	BCF        PORTA+0, 0
;electronique_chronometre_001.mpas,110 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,111 :: 		PORTA.0 := 1;
	BSF        PORTA+0, 0
;electronique_chronometre_001.mpas,113 :: 		PORTB.0 := ArrOut[1].0;
	BTFSC      _ArrOut+1, 0
	GOTO       L_electronique_chronometre_001_Display78
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display79
L_electronique_chronometre_001_Display78:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display79:
;electronique_chronometre_001.mpas,114 :: 		PORTB.1 := ArrOut[1].1;
	BTFSC      _ArrOut+1, 1
	GOTO       L_electronique_chronometre_001_Display80
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display81
L_electronique_chronometre_001_Display80:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display81:
;electronique_chronometre_001.mpas,115 :: 		PORTB.2 := ArrOut[1].2;
	BTFSC      _ArrOut+1, 2
	GOTO       L_electronique_chronometre_001_Display82
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display83
L_electronique_chronometre_001_Display82:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display83:
;electronique_chronometre_001.mpas,116 :: 		PORTB.3 := ArrOut[1].3;
	BTFSC      _ArrOut+1, 3
	GOTO       L_electronique_chronometre_001_Display84
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display85
L_electronique_chronometre_001_Display84:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display85:
;electronique_chronometre_001.mpas,117 :: 		PORTA.1 := 0;
	BCF        PORTA+0, 1
;electronique_chronometre_001.mpas,118 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,119 :: 		PORTA.1 := 1;
	BSF        PORTA+0, 1
;electronique_chronometre_001.mpas,121 :: 		PORTB.0 := ArrOut[2].0;
	BTFSC      _ArrOut+2, 0
	GOTO       L_electronique_chronometre_001_Display86
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display87
L_electronique_chronometre_001_Display86:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display87:
;electronique_chronometre_001.mpas,122 :: 		PORTB.1 := ArrOut[2].1;
	BTFSC      _ArrOut+2, 1
	GOTO       L_electronique_chronometre_001_Display88
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display89
L_electronique_chronometre_001_Display88:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display89:
;electronique_chronometre_001.mpas,123 :: 		PORTB.2 := ArrOut[2].2;
	BTFSC      _ArrOut+2, 2
	GOTO       L_electronique_chronometre_001_Display90
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display91
L_electronique_chronometre_001_Display90:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display91:
;electronique_chronometre_001.mpas,124 :: 		PORTB.3 := ArrOut[2].3;
	BTFSC      _ArrOut+2, 3
	GOTO       L_electronique_chronometre_001_Display92
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display93
L_electronique_chronometre_001_Display92:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display93:
;electronique_chronometre_001.mpas,125 :: 		PORTA.2 := 0;
	BCF        PORTA+0, 2
;electronique_chronometre_001.mpas,126 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,127 :: 		PORTA.2 := 1;
	BSF        PORTA+0, 2
;electronique_chronometre_001.mpas,129 :: 		PORTB.0 := ArrOut[3].0;
	BTFSC      _ArrOut+3, 0
	GOTO       L_electronique_chronometre_001_Display94
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display95
L_electronique_chronometre_001_Display94:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display95:
;electronique_chronometre_001.mpas,130 :: 		PORTB.1 := ArrOut[3].1;
	BTFSC      _ArrOut+3, 1
	GOTO       L_electronique_chronometre_001_Display96
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display97
L_electronique_chronometre_001_Display96:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display97:
;electronique_chronometre_001.mpas,131 :: 		PORTB.2 := ArrOut[3].2;
	BTFSC      _ArrOut+3, 2
	GOTO       L_electronique_chronometre_001_Display98
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display99
L_electronique_chronometre_001_Display98:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display99:
;electronique_chronometre_001.mpas,132 :: 		PORTB.3 := ArrOut[3].3;
	BTFSC      _ArrOut+3, 3
	GOTO       L_electronique_chronometre_001_Display100
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display101
L_electronique_chronometre_001_Display100:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display101:
;electronique_chronometre_001.mpas,133 :: 		PORTA.3 := 0;
	BCF        PORTA+0, 3
;electronique_chronometre_001.mpas,134 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,135 :: 		PORTA.3 := 1;
	BSF        PORTA+0, 3
;electronique_chronometre_001.mpas,137 :: 		PORTB.0 := ArrOut[4].0;
	BTFSC      _ArrOut+4, 0
	GOTO       L_electronique_chronometre_001_Display102
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display103
L_electronique_chronometre_001_Display102:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display103:
;electronique_chronometre_001.mpas,138 :: 		PORTB.1 := ArrOut[4].1;
	BTFSC      _ArrOut+4, 1
	GOTO       L_electronique_chronometre_001_Display104
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display105
L_electronique_chronometre_001_Display104:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display105:
;electronique_chronometre_001.mpas,139 :: 		PORTB.2 := ArrOut[4].2;
	BTFSC      _ArrOut+4, 2
	GOTO       L_electronique_chronometre_001_Display106
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display107
L_electronique_chronometre_001_Display106:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display107:
;electronique_chronometre_001.mpas,140 :: 		PORTB.3 := ArrOut[4].3;
	BTFSC      _ArrOut+4, 3
	GOTO       L_electronique_chronometre_001_Display108
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display109
L_electronique_chronometre_001_Display108:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display109:
;electronique_chronometre_001.mpas,141 :: 		PORTA.6 := 0;
	BCF        PORTA+0, 6
;electronique_chronometre_001.mpas,142 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,143 :: 		PORTA.6 := 1;
	BSF        PORTA+0, 6
;electronique_chronometre_001.mpas,145 :: 		PORTB.0 := ArrOut[5].0;
	BTFSC      _ArrOut+5, 0
	GOTO       L_electronique_chronometre_001_Display110
	BCF        PORTB+0, 0
	GOTO       L_electronique_chronometre_001_Display111
L_electronique_chronometre_001_Display110:
	BSF        PORTB+0, 0
L_electronique_chronometre_001_Display111:
;electronique_chronometre_001.mpas,146 :: 		PORTB.1 := ArrOut[5].1;
	BTFSC      _ArrOut+5, 1
	GOTO       L_electronique_chronometre_001_Display112
	BCF        PORTB+0, 1
	GOTO       L_electronique_chronometre_001_Display113
L_electronique_chronometre_001_Display112:
	BSF        PORTB+0, 1
L_electronique_chronometre_001_Display113:
;electronique_chronometre_001.mpas,147 :: 		PORTB.2 := ArrOut[5].2;
	BTFSC      _ArrOut+5, 2
	GOTO       L_electronique_chronometre_001_Display114
	BCF        PORTB+0, 2
	GOTO       L_electronique_chronometre_001_Display115
L_electronique_chronometre_001_Display114:
	BSF        PORTB+0, 2
L_electronique_chronometre_001_Display115:
;electronique_chronometre_001.mpas,148 :: 		PORTB.3 := ArrOut[5].3;
	BTFSC      _ArrOut+5, 3
	GOTO       L_electronique_chronometre_001_Display116
	BCF        PORTB+0, 3
	GOTO       L_electronique_chronometre_001_Display117
L_electronique_chronometre_001_Display116:
	BSF        PORTB+0, 3
L_electronique_chronometre_001_Display117:
;electronique_chronometre_001.mpas,149 :: 		PORTA.7 := 0;
	BCF        PORTA+0, 7
;electronique_chronometre_001.mpas,150 :: 		Display_DoDelay;
	CALL       electronique_chronometre_001_Display_DoDelay+0
;electronique_chronometre_001.mpas,151 :: 		PORTA.7 := 1;
	BSF        PORTA+0, 7
;electronique_chronometre_001.mpas,152 :: 		end;
L_electronique_chronometre_001_Display11:
;electronique_chronometre_001.mpas,153 :: 		end;
	RETURN
; end of electronique_chronometre_001_Display

electronique_chronometre_001_ValToDisp:

;electronique_chronometre_001.mpas,158 :: 		begin
;electronique_chronometre_001.mpas,160 :: 		iDigit := iHour div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
;electronique_chronometre_001.mpas,161 :: 		ArrOut[5] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+5
;electronique_chronometre_001.mpas,163 :: 		iDigit := iHour mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;electronique_chronometre_001.mpas,164 :: 		ArrOut[4] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+4
;electronique_chronometre_001.mpas,166 :: 		iDigit := iMinute div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMinute+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
;electronique_chronometre_001.mpas,167 :: 		ArrOut[3] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+3
;electronique_chronometre_001.mpas,169 :: 		iDigit := iMinute mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMinute+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;electronique_chronometre_001.mpas,170 :: 		ArrOut[2] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+2
;electronique_chronometre_001.mpas,172 :: 		iDigit := iSecond div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSecond+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
;electronique_chronometre_001.mpas,173 :: 		ArrOut[1] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+1
;electronique_chronometre_001.mpas,175 :: 		iDigit := iSecond mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSecond+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;electronique_chronometre_001.mpas,176 :: 		ArrOut[0] := Dec2BCD(iDigit);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ArrOut+0
;electronique_chronometre_001.mpas,177 :: 		end;
	RETURN
; end of electronique_chronometre_001_ValToDisp

electronique_chronometre_001_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_chronometre_001.mpas,180 :: 		begin
;electronique_chronometre_001.mpas,181 :: 		if TestBit(PIR1, TMR1IF) then
	CLRF       R0+0
	BTFSS      PIR1+0, 0
	GOTO       L_electronique_chronometre_001_Interrupt17
	MOVLW      1
	MOVWF      R0+0
L_electronique_chronometre_001_Interrupt17:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_chronometre_001_Interrupt15
;electronique_chronometre_001.mpas,185 :: 		if iTB < 19 then    // if iTB = 20, then one second ellapsed
	MOVLW      19
	SUBWF      _iTB+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_chronometre_001_Interrupt19
;electronique_chronometre_001.mpas,186 :: 		inc(iTB)
	INCF       _iTB+0, 1
	GOTO       L_electronique_chronometre_001_Interrupt20
;electronique_chronometre_001.mpas,187 :: 		else
L_electronique_chronometre_001_Interrupt19:
;electronique_chronometre_001.mpas,190 :: 		bTB := true;
	MOVLW      255
	MOVWF      _bTB+0
;electronique_chronometre_001.mpas,191 :: 		iTB := 0;
	CLRF       _iTB+0
;electronique_chronometre_001.mpas,192 :: 		end;
L_electronique_chronometre_001_Interrupt20:
;electronique_chronometre_001.mpas,193 :: 		TMR1H := cTimer1PreloadH; // preload for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_chronometre_001.mpas,194 :: 		TMR1L := cTimer1PreloadL; // preload for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_chronometre_001.mpas,195 :: 		ClearBit(PIR1, TMR1IF);
	BCF        PIR1+0, 0
;electronique_chronometre_001.mpas,196 :: 		end;
L_electronique_chronometre_001_Interrupt15:
;electronique_chronometre_001.mpas,197 :: 		end;
L_electronique_chronometre_001_Interrupt118:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_chronometre_001_Interrupt

_main:

;electronique_chronometre_001.mpas,199 :: 		begin
;electronique_chronometre_001.mpas,200 :: 		Init;
	CALL       electronique_chronometre_001_Init+0
;electronique_chronometre_001.mpas,201 :: 		ValToDisp;
	CALL       electronique_chronometre_001_ValToDisp+0
;electronique_chronometre_001.mpas,203 :: 		while true do
L__main23:
;electronique_chronometre_001.mpas,207 :: 		Display;
	CALL       electronique_chronometre_001_Display+0
;electronique_chronometre_001.mpas,210 :: 		if Button(PORTB, 4, 30, 0) and (BtnState[0] = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      30
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _BtnState+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main28
;electronique_chronometre_001.mpas,212 :: 		BtnState[0] := true;
	MOVLW      255
	MOVWF      _BtnState+0
;electronique_chronometre_001.mpas,213 :: 		bCount := true;
	MOVLW      255
	MOVWF      _bCount+0
;electronique_chronometre_001.mpas,214 :: 		Out_OVL := 1;  // light off OVL led
	BSF        PORTA+0, 4
;electronique_chronometre_001.mpas,215 :: 		end;
L__main28:
;electronique_chronometre_001.mpas,216 :: 		if PORTB.4 = 1 then BtnState[0] := 0;
	BTFSS      PORTB+0, 4
	GOTO       L__main31
	CLRF       _BtnState+0
L__main31:
;electronique_chronometre_001.mpas,219 :: 		if Button(PORTB, 5, 30, 0) and (BtnState[1] = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      30
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _BtnState+1, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main34
;electronique_chronometre_001.mpas,221 :: 		BtnState[1] := true;
	MOVLW      255
	MOVWF      _BtnState+1
;electronique_chronometre_001.mpas,222 :: 		bCount := false;
	CLRF       _bCount+0
;electronique_chronometre_001.mpas,223 :: 		end;
L__main34:
;electronique_chronometre_001.mpas,224 :: 		if PORTB.5 = 1 then BtnState[1] := 0;
	BTFSS      PORTB+0, 5
	GOTO       L__main37
	CLRF       _BtnState+1
L__main37:
;electronique_chronometre_001.mpas,227 :: 		if Button(PORTB, 6, 30, 0) and (BtnState[2] = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      30
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _BtnState+2, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main40
;electronique_chronometre_001.mpas,229 :: 		BtnState[2] := true;
	MOVLW      255
	MOVWF      _BtnState+2
;electronique_chronometre_001.mpas,230 :: 		iHour := 0;
	CLRF       _iHour+0
;electronique_chronometre_001.mpas,231 :: 		iMinute := 0;
	CLRF       _iMinute+0
;electronique_chronometre_001.mpas,232 :: 		iSecond := 0;
	CLRF       _iSecond+0
;electronique_chronometre_001.mpas,233 :: 		ValToDisp;
	CALL       electronique_chronometre_001_ValToDisp+0
;electronique_chronometre_001.mpas,234 :: 		Out_OVL := 1;  // light off OVL led
	BSF        PORTA+0, 4
;electronique_chronometre_001.mpas,235 :: 		end;
L__main40:
;electronique_chronometre_001.mpas,236 :: 		if PORTB.6 = 1 then BtnState[2] := 0;
	BTFSS      PORTB+0, 6
	GOTO       L__main43
	CLRF       _BtnState+2
L__main43:
;electronique_chronometre_001.mpas,239 :: 		if Button(PORTB, 7, 30, 0) and (BtnState[3] = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      30
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _BtnState+3, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main46
;electronique_chronometre_001.mpas,241 :: 		BtnState[3] := true;
	MOVLW      255
	MOVWF      _BtnState+3
;electronique_chronometre_001.mpas,242 :: 		bLightTest := bLightTest xor 1;
	MOVLW      1
	XORWF      _bLightTest+0, 1
;electronique_chronometre_001.mpas,243 :: 		end;
L__main46:
;electronique_chronometre_001.mpas,244 :: 		if PORTB.7 = 1 then BtnState[3] := 0;
	BTFSS      PORTB+0, 7
	GOTO       L__main49
	CLRF       _BtnState+3
L__main49:
;electronique_chronometre_001.mpas,247 :: 		if bTB = true then
	MOVF       _bTB+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__main52
;electronique_chronometre_001.mpas,249 :: 		if bCount = true then
	MOVF       _bCount+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__main55
;electronique_chronometre_001.mpas,251 :: 		if ((iHour = 23) and (iMinute = 59) and (iSecond = 59)) then
	MOVF       _iHour+0, 0
	XORLW      23
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iMinute+0, 0
	XORLW      59
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       _iSecond+0, 0
	XORLW      59
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main58
;electronique_chronometre_001.mpas,253 :: 		Out_OVL := 0;  // light on OVL led
	BCF        PORTA+0, 4
;electronique_chronometre_001.mpas,254 :: 		end
	GOTO       L__main59
;electronique_chronometre_001.mpas,255 :: 		else
L__main58:
;electronique_chronometre_001.mpas,257 :: 		if iSecond < 59 then
	MOVLW      59
	SUBWF      _iSecond+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main61
;electronique_chronometre_001.mpas,258 :: 		inc(iSecond)
	INCF       _iSecond+0, 1
	GOTO       L__main62
;electronique_chronometre_001.mpas,259 :: 		else
L__main61:
;electronique_chronometre_001.mpas,261 :: 		iSecond := 0;
	CLRF       _iSecond+0
;electronique_chronometre_001.mpas,262 :: 		if iMinute < 59 then
	MOVLW      59
	SUBWF      _iMinute+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main64
;electronique_chronometre_001.mpas,263 :: 		inc(iMinute)
	INCF       _iMinute+0, 1
	GOTO       L__main65
;electronique_chronometre_001.mpas,264 :: 		else
L__main64:
;electronique_chronometre_001.mpas,266 :: 		iMinute := 0;
	CLRF       _iMinute+0
;electronique_chronometre_001.mpas,267 :: 		if iHour < 23 then
	MOVLW      23
	SUBWF      _iHour+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main67
;electronique_chronometre_001.mpas,268 :: 		inc(iHour);
	INCF       _iHour+0, 1
L__main67:
;electronique_chronometre_001.mpas,269 :: 		end;
L__main65:
;electronique_chronometre_001.mpas,270 :: 		end;
L__main62:
;electronique_chronometre_001.mpas,271 :: 		end;
L__main59:
;electronique_chronometre_001.mpas,272 :: 		ValToDisp;
	CALL       electronique_chronometre_001_ValToDisp+0
;electronique_chronometre_001.mpas,273 :: 		end;
L__main55:
;electronique_chronometre_001.mpas,274 :: 		bTB := false;
	CLRF       _bTB+0
;electronique_chronometre_001.mpas,275 :: 		end;
L__main52:
;electronique_chronometre_001.mpas,277 :: 		Delay_ms(1);
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L__main69:
	DECFSZ     R13+0, 1
	GOTO       L__main69
	DECFSZ     R12+0, 1
	GOTO       L__main69
;electronique_chronometre_001.mpas,278 :: 		end;
	GOTO       L__main23
;electronique_chronometre_001.mpas,279 :: 		end.
	GOTO       $+0
; end of _main
